<?php

function academia_customizer_define_general_sections( $sections ) {
    $panel           = 'academia' . '_general';
    $general_sections = array();

    $theme_sidebar_positions = array(
        'left'      => esc_html__('Left', 'bradbury'),
        'right'     => esc_html__('Right', 'bradbury'),
        'hidden'    => esc_html__('Hidden', 'bradbury')
    );

    $general_sections['general'] = array(
        'title'     => esc_html__( 'Theme Settings', 'bradbury' ),
        'priority'  => 4900,
        'options'   => array(

            'theme-sidebar-position'    => array(
                'setting'               => array(
                    'default'           => 'left',
                    'sanitize_callback' => 'academia_sanitize_text'
                ),
                'control'           => array(
                    'label'         => esc_html__( 'Default Sidebar Position', 'bradbury' ),
                    'type'          => 'select',
                    'choices'       => $theme_sidebar_positions
                ),
            ),

            'bradbury-display-pages'    => array(
                'setting'               => array(
                    'sanitize_callback' => 'absint',
                    'default'           => 0
                ),
                'control'               => array(
                    'label'             => __( 'Display Featured Pages on Homepage', 'bradbury' ),
                    'type'              => 'checkbox'
                )
            ),

            'bradbury-featured-page-1'  => array(
                'setting'               => array(
                    'default'           => 'none',
                    'sanitize_callback' => 'bradbury_sanitize_pages'
                ),
                'control'               => array(
                    'label'             => esc_html__( 'Slideshow: Featured Page #1', 'bradbury' ),
                    'description'       => sprintf( wp_kses( __( 'This list is populated with <a href="%1$s">Pages</a>.', 'bradbury' ), array( 'a' => array( 'href' => array() ) ) ), esc_url( admin_url( 'edit.php?post_type=page' ) ) ),
                    'type'              => 'select',
                    'choices'           => bradbury_get_pages()
                ),
            ),

            'bradbury-featured-page-2'  => array(
                'setting'               => array(
                    'default'           => 'none',
                    'sanitize_callback' => 'bradbury_sanitize_pages'
                ),
                'control'               => array(
                    'label'             => esc_html__( 'Slideshow: Featured Page #2', 'bradbury' ),
                    'type'              => 'select',
                    'choices'           => bradbury_get_pages()
                ),
            ),

            'bradbury-featured-page-3'  => array(
                'setting'               => array(
                    'default'           => 'none',
                    'sanitize_callback' => 'bradbury_sanitize_pages'
                ),
                'control'               => array(
                    'label'             => esc_html__( 'Slideshow: Featured Page #3', 'bradbury' ),
                    'type'              => 'select',
                    'choices'           => bradbury_get_pages()
                ),
            ),

            'bradbury-featured-page-4'  => array(
                'setting'               => array(
                    'default'           => 'none',
                    'sanitize_callback' => 'bradbury_sanitize_pages'
                ),
                'control'               => array(
                    'label'             => esc_html__( 'Slideshow: Featured Page #4', 'bradbury' ),
                    'type'              => 'select',
                    'choices'           => bradbury_get_pages()
                ),
            ),

            'bradbury-featured-page-5'  => array(
                'setting'               => array(
                    'default'           => 'none',
                    'sanitize_callback' => 'bradbury_sanitize_pages'
                ),
                'control'               => array(
                    'label'             => esc_html__( 'Slideshow: Featured Page #5', 'bradbury' ),
                    'type'              => 'select',
                    'choices'           => bradbury_get_pages()
                ),
            ),

        ),
    );

    return array_merge( $sections, $general_sections );
}

add_filter( 'academia_customizer_sections', 'academia_customizer_define_general_sections' );
